For the complete documentation index, see llms.txt. This page is also available as Markdown.

Freeze [Beta]

Get Freeze Details by Identifiers

get

Retrieve detailed freeze information including entity extraction for a specific freeze.

Path parameters
freeze_identifierstringRequired

The freeze identifier to get details for

Query parameters
orgIdentifierstringOptional

Organisation Identifier

projectIdentifierstringOptional

Project Identifier

Header parameters
Harness-AccountstringRequired

Account Identifier

Responses
200

Detailed freeze information with entity extraction

application/json

Detailed freeze information with entity extraction

descriptionstringOptional

Freeze description

expectedEndTsinteger · int64Required

Expected end timestamp

expectedStartTsinteger · int64Required

Expected start timestamp

freeze_identifierstringRequired

Freeze identifier

namestringRequired

Freeze name

orgIdentifierstringRequired

Organization identifier

projectIdentifierstringRequired

Project identifier

statusstring · enumOptional

Freeze status

Possible values:
get/freeze/details/{freeze_identifier}
GET /api/freeze/details/{freeze_identifier} HTTP/1.1
Harness-Account: text
Accept: */*
{
  "description": "text",
  "entities": {
    "environmentTypes": [
      "text"
    ],
    "environments": [
      "text"
    ],
    "organizations": [
      "text"
    ],
    "pipelines": [
      "text"
    ],
    "projects": [
      "text"
    ],
    "services": [
      "text"
    ]
  },
  "expectedEndTs": 1,
  "expectedStartTs": 1,
  "freeze_identifier": "text",
  "name": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "status": "Enabled"
}

Get Freeze List by Timestamp

get

Retrieve a paginated list of freeze information for all active freezes that overlap with the specified time range (startTime to endTime).

Query parameters
orgIdentifierstringOptional

Organisation Identifier

projectIdentifierstringOptional

Project Identifier

startTimeinteger · int64Required

Start timestamp for filtering freeze recurrences (in milliseconds)

endTimeinteger · int64Required

End timestamp for filtering freeze recurrences (in milliseconds)

cursorstringOptional

Cursor for pagination

limitinteger · max: 500Optional

Maximum number of items to return

Default: 50
Header parameters
Harness-AccountstringRequired

Account Identifier

Responses
200

Paginated list of freeze information

application/json

Paginated response containing freeze list items

lastbooleanRequired

Whether this is the last page of results

get/freeze/list
GET /api/freeze/list?startTime=1&endTime=1 HTTP/1.1
Harness-Account: text
Accept: */*
{
  "freezes": [
    {
      "expectedEndTs": 1,
      "expectedStartTs": 1,
      "identifier": "text",
      "name": "text",
      "orgIdentifier": "text",
      "projectIdentifier": "text"
    }
  ],
  "last": true,
  "nextRequest": {
    "cursor": "text",
    "limit": 1
  }
}

Last updated

Was this helpful?